
clear all;
close all;

% Initial Conditions
N_0 = 1;
P_0 = 1;

x0 = [N_0, P_0];

% Parameters
r = 1;  % growth rate of Prey
e = 1;  % consumption rate
b = 8/3;  % growth rate Predator
d = 1;  % death rate Predator

pars = [r, e, b, d];

% Solve the ODE system
options = odeset('RelTol',1e-4,'AbsTol',1e-6);  % sets error tolerances

Time   = 0:0.2:30;  % Look at the population over 30 years

[t,F] = ode23(@LV_de,Time,x0,options,pars);

% Results
N = F(:,1);
P = F(:,2);



% Pictures
    
figure(1)  
hold on
set(gca,'LineWidth',1.25,'FontSize',24,'FontWeight','normal','FontName','Helvetica')
plot(t,N,'-r','LineWidth',2)
plot(t,P,'--b','LineWidth',2)
legend('Prey','Predator')

xlabel('Years')
ylabel('Population (In thousands)')